#include<iostream>
using namespace std;
long long n;
int main(){
cin>>n;
if(n==1){
    cout<<-1;
}else{
    if(n==2){
        cout<<1;
    }else{
        if(n==3){
            cout<<7;
        }else{
            if(n%2==0){
                for(int i=0; i<n/2; i++){
                    cout<<1;
                }
            }else{
                cout<<7;
                for(int i=0; i<(n-3)/2; i++){
                    cout<<1;
                }
            }
        }
    }
}
return 0;
}

